Description

Hello,

I've been looking at the time 1 youth completion data. When I attempt to adjust for the design usi

ng SVYSET i'm warned that there are numerous instances of strata containing only a single PSU. I a

ssume this is due to the youth completion data representing a subsample of the overall dataset? I 

understand that STATA 10 has further svyset options for dealing with singleton PSUs, but I do not 

have access to this version. I was wondering about ignoring strata when using svyset (e.g., assumi

ng all psu belong to the same stata) but i'm uncertain about the degree of bias this would incur. 

Advice around this or other approaches to managing this singleton PSU issue would be appreciated. 

Thank you for your time.

History

#1 - 07/10/2012 05:56 AM - Olena Kaminska

Peter,

Thank you for your question. Indeed, stratification used in the design was very detailed in order to improve precision. This does result in the issues

you describe. There are a few alternatives for you:

1. ignore stratification. This will not introduce bias (stratification influences only standard errors), and will make your estimates more conservative -

confidence interval will be higher than it is by design.

2. You can create strata variable yourself such that there are at least 2 clusters per strata. Note, that because strata variable has ordered values, you

can combine the adjacent values.

Hope this helps,

Olena

#2 - 07/16/2012 09:18 AM - Redmine Admin

- Status changed from New to In Progress

- Target version set to X M

- % Done changed from 0 to 80

#3 - 08/06/2012 09:08 AM - Redmine Admin

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
